<template name="components">
    {{#requireAuthentication}}
    <div id="components-page" class="container">
        <div class="well large-well">
            <h1>Components</h1>

             {{>Template.dynamic template='errorViewer' data=error}}

            <div class="badge-viewer">
                {{#each devices}}
                    {{#each components}}
                    <div class="custom-badge component">
                        <div class="name-badge">
                        <span>
                            <span>{{name}}</span>
                        </span>
                            <div class="controls">
                                <div class="info fa fa-info-circle"></div>
                                <div class="uninstall remove fa fa-times-circle"></div>
                            </div>
                        </div>
                        <div class="image-holder">
                            <div class="image fa fa-microchip"></div> <!-- fa-check-circle-o confirmed -->
                        </div>
                    </div>
                    {{/each}}
                {{/each}}
            </div>
        </div>
    </div>
    {{/requireAuthentication}}
</template>